WordPress 4.9.5 security update, much more than an update

WordPress 4.9.5 was scheduled to go out on April 3, 2018, according to many post authors, an update without pain or glory, but further from it, this update is quite important, for the simple fact that it includes 3 security updates important, correction of up to 24 bugs, in addition to correcting the “offensive” texts in some messages and especially the correction of the lyrics of the Hello Dolly plugin, branded as sexist and that is that no one is allowed to pass, which I think great, fair and necessary.

Regarding security, the three corrected points are as follows:

  • Don’t treat localhost as the same host by default.
  • Security fix in redirects to login when forced SSL.
  • Correction in the version of the string for its correct use in the tag generator.

Surely these three security flaws do not tell you much, they are complicated technicalities to understand if you are not a programmer and a security expert, but what it should tell you is that if your version of WordPress is below version 4.9.5, you have a security problem with your WordPress and you must correct it in the only way possible, updating.

To consider.

This is a minor update, that is, it goes from 4.9.4 to 4.9.5, a major update is when it goes, for example, from 4.9 to 5.0 that is to come with the famous Gutengberg editor that is so scary, but that will end up being everyone’s delight.

As it is a minor and security update, the update is carried out automatically, that is, this morning you woke up and surely you have received an email from your WordPress, indicating that your site has been updated to 4.9.5.

If you are one of the most technical and have WordPress updates disabled, my recommendation is that you update to this new version as soon as possible.

If you are one of those who do not know if you have them deactivated or activated and you have not received the email, in this case my recommendation is that you enter your WordPress administration and make sure that your WordPress is updated to the latest stable and secure version.

This update brings improvements, such as the Twenty-five theme update, which fixes several bugs and also improves compatibility with php 7.2.

What do you not use php 7.2? Well, what you miss in the performance improvement of your WordPress, look at the performance benchmark of a WordPress hosted with us and with php 7.2

Benchmark WordPress php 7.2

To think about changing right? If you stay in Host-Fusion.Com Switching to php 7.2 is as easy as click and go, since we have our own php selector in our hosting control panels, to make your life easier and your WordPress faster.

What happens if I don’t update?

That you are cannon fodder, of course, the most normal thing is that the bad guys, track your WordPress, see the vulnerabilities and … unless you stay with us and if for some reason you have not been able to update or the update is not has made by itself, our Patchman system of virtual patches, will warn you of vulnerabilities and will virtually patch your installation so that it is protected, giving you time to carry out the pertinent updates and make your WordPress safe. The patch will disappear the moment you update WordPress.

Do you want your WordPress to be safe, fast and also hosted in Spain?

Well, you have it very easy, come with us, we take care of everything, we also give you a 15% discount forever, each year you will continue to have a 15% discount and the first year we register or transfer your domain for free and migrate your website so you don’t have to worry about anything.

15% dto hosting WordPress